###########################################################################
#
# PathIndexNG                The next generation TextIndex for Zope
#
# This software is governed by a license. See
# LICENSE.txt for the terms of this license.
#
###########################################################################

import os, sys

def initialize(context):
    from Products.PathIndexNG import PathIndexNG

    manage_addPathIndexNGForm = PathIndexNG.manage_addPathIndexNGForm 
    manage_addPathIndexNG     = PathIndexNG.manage_addPathIndexNG
    
    context.registerClass( 
        PathIndexNG.PathIndexNG,
        permission='Add Pluggable Index', 
        constructors=(manage_addPathIndexNGForm,
        manage_addPathIndexNG),
        icon='www/index.gif',
        visibility=None
        )

    context.registerHelp()
    context.registerHelpTitle("Zope Help")


